---
id: parameter-version-list
title: "List parameter versions"
description: "List all the available versions for a given parameter."
sidebar_label: "List parameter versions"
hide_title: true
hide_table_of_contents: true
api: eJzdV21v3DYM/isEP7WAc3HSpOv8Leu6LcOKBc0FK9YGAc/indXKsivRl2QH//eB8r0maZsN2AYMOPj8QpEPqeeRqAUajmWwrdjGY4G/2ChAzoFUDDQn62jiGOYcom18hGkTgGBm5+yhpUA1C4cRZrh+iFi8W6CnmrFAazBDq45bkgqzO9HGFcPp99BMU7gdf4E/dTawwUJCxxnGsuKasFig3LbqOkqwfoZ9hnxDdesYi4PDZ/1lhk3LgTTCqUmBl16vlkkUzkbBDIVmihXPVgZ4mWHksgtWblMSE6bA4aSTCot3l+o6cGwbHzkqkMM817/7Ka0BwDVFiF1ZcozTzmleZeOFvehAaltny2S4/yHq6MVWmm1QN2KHWC3NNNtN+s3kA5eaxq5dM51Gli0764VnHB4sfRQKsqm+RoBr601zPYLX1tu6q8FGyEdaZWdr+xjHr+kmDfRdPeGg3tlxzV4iSAOBJVieM7QcoCTnRrAaYCMc5kMsaYTcY5JQuwcjVSRQkocJr0OaEfZ9n+awcxK33FMIdKtEFa7j12tszSOgnUC8jcL13rU1DJ23n7rEdRWQlntJRqXEmr9Hx8/7DMvAJGyuSO6z/UEBnf+69+J5fgAX45cgtuYoVLdajuuK/XawRMelew08bUKtUdCQ8J4O3UaDh/nhwV5+sJcfjvO8SL/fdXa6yOHqUUXY1beOg+uqWUH4bB2+ffGNTpRYSTjuKXiYx89+jvq9z/Do7dv7+nzpLHsBDqEJsJYzmI6VntbPyVkD1redQBOgtjGqLDbL218S8V0ibVa1dxiFpIsvG5Oqrngww5pjpBnrUrRLui3rr9f9p/H4DIYRUDZGNdAGjuxFc9Gyx5ZLO7UllNv1eMKj2SiDozzXy4Fenunl6OkuT/NcebqL5TMMPYGaysp63gtMJm0mQ6yEa6lT4VkT7B8cB2wc5hxgStZ1gXci44TMlRaRo6SlP5XtESAmwfI0g6qryW+QbFmtSDqAU3erarzH78jAmyHoe9QXF546qRJk8x53i7NtrRBXM/p1kMZYvSUHhoWsi0CTppMNrN04Kq5lKZKwa3IqaDaQquuFrGezpvQ2g/t+UMjxQwo5H8p/VyHWm8RzPwPyYGPsGJpheTk5O4VoDf/PpBG3C7Ekw7FK4zg/1Muz3Yk//u9UockGT+5qMLoaSvav6eN0GR6W1HmlNoNS9I0tGS78upm8J5gHh/+j0jnx0Hm+abnUbWhIqSnLLgQ2IzhzTJFBwi3QjKwHR6kp7VeyqVmqRnvLGafuQFvbAvfXCttfWNPvrzYrbSo1r6Ex7oLDAiuRNhb7+9Take+cax2JindUNjX2W33oueploPl2N7ouiDrCZXec1sdkhNny5ofVDv/zb2NU6NZPGx2+AlfgwSgf5bjZTs82jXyfYdtEqSlJd9nSpxPCOtX1yeDunCw2K8HfP1QskxS+kf3WkfWp/Qhu6IhTW77Z/jHDIp03VrldZlg1UdRosZhQ5Ivg+l5ff+o4aIt/meGcglU0aXKMjXpvsJiSi/yFlJ68WS5XT+ELh5gH8a+aTq8t55xcp0+Y4Ue+HU5M/WWfYcVkOCRUw4eTsuRWtobcW16VN2tq/vhqjBnSLlvusCN5fxDOYjFYjJuP7Pt+jU70WQH2/Z/vLehA
sidebar_class_name: "get api-method"
info_path: docs/api/parameters
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List parameter versions"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/parameter/{id}/version"}
  context={"endpoint"}
>
  
</MethodEndpoint>



List all the available versions for a given parameter.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","description":"The ID of the parameter.","required":true,"schema":{"type":"string"},"example":123}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"properties":{"paging":{"type":"object","properties":{"offset":{"type":"integer","description":"The start of the paging window. Minimum is 0."},"limit":{"type":"integer","description":"Maximum number of elements to retrieve per call. Maximum is 200."},"total":{"type":"integer","description":"Total number of elements that can be retrieved."}}},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"A system-wide unique ID for the version.","example":456},"created_at":{"type":"string","description":"The ISO-8601 UTC timestamp of when the version was created.","format":"date-time","example":"2021-01-02T00:00:00Z"},"user_id":{"type":"integer","description":"The ID of the user who created the version.","example":987}},"title":"parameter_version"}}},"title":"parameter_versions"}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      